/*------------------------------------ Services {Home, Index} Page Design ----------------------- */
#services {
    background-image: linear-gradient(to right, #94069e3d, #d1d6d3a0);
    overflow: hidden;
    padding: 50px 0;
}
.about-text {
    padding: 0 70px;
}
.services-title {
    font-size: 4rem;
    font-weight: bold;
    color: #333;
}
.services-desc {
    font-size: 1.7rem;
    text-align: end;
    color: #555;
    max-width: 800px;
    margin: 0 auto;
}
.card-body img {
    height: 10rem;
    width: 100%;
    object-fit: cover;
    border-radius: 10px;
    transition: transform 0.4s ease-in-out, box-shadow 0.4s ease-in-out;
    cursor: pointer;
}
.swiper-button-prev:after,
.swiper-button-next:after {
    font-size: 1.5rem !important;
    color: #000;
    background: #ffffff1a;
    height: 30px;
    width: 30px;
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 50%;
    font-weight: bolder;
}
.swiper-slide {
    height: 350px !important;
    width: 100% !important;
    background-position: center !important;
    background-repeat: no-repeat !important;
    background-size: cover !important;
}
.swiper-slide img {
    height: 100%;
    width: 100%;
    object-fit: cover;
}
/* Product Card */
.product-card {
    text-wrap: nowrap;
    overflow: hidden;
    text-align: center;
    padding: 20px;
    border-radius: 12px;
    background: rgba(255, 255, 255, 0.8);
    transition: transform 0.3s ease-in-out, box-shadow 0.3s ease-in-out;
}

/* Product Card Hover */
.product-card:hover {
    transform: translateY(-5px);
    box-shadow: 0px 10px 20px rgba(0, 0, 0, 0.2);
}

/*------------------------------------------MEDIA QUERIES-------------------------------------------
-------------------------------------------------------------------------------------------------*/

@media screen and (max-width: 590px) {
    .services-title {
        font-size: 2rem !important;
        text-align: center;
    }
    .about-text {
        padding: 0 20px;
    }
    .services-desc {
        font-size: 1rem !important;
        text-align: center;
    }
    .swiper-slide {
        height: 200px !important;
    }
}
@media screen and (max-width: 768px) {
    .about-text {
        padding: 0 10px;
    }
    .services-title {
        font-size: 2.5rem;
        text-align: center;
    }
    .services-desc {
        font-size: 1.3rem;
        text-align: center;
    }
    .product-card {
        width: 130px;
    }
    .swiper-slide {
        height: 230px !important;
    }
}
